import { FormSchema } from '@/components/Form';
import {BasicColumn} from "@/components/Table";

export const detailFormSchema: FormSchema[] = [
  {
    label: '画像名称',
    field: 'PortraitName',
    component: 'Input',
  },
  {
    label: '主体名称',
    field: 'bodyName',
    component: 'Input',
  },
  {
    label: '描述',
    field: 'des',
    component: 'InputTextArea',
    componentProps: {
      rows: 4,
    },
  },
  {
    label: '画像样式',
    field: 'style',
    defaultValue: 0,
    slot: 'style',
  },
];
export const fieldFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
  },
];
export const fieldTableColumn: BasicColumn[] = [
  {
    title: '字段名称',
    dataIndex: 'name',
  },
  {
    title: '字段中文名',
    dataIndex: 'cnName',
  },
  {
    title: '字段分类',
    dataIndex: 'fieldType',
  },
];
export const tagFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
  },
];
export const tagTableColumn: BasicColumn[] = [
  {
    title: '标签名称',
    dataIndex: 'name',
  },
  {
    title: '标签路径',
    dataIndex: 'path',
  },
  {
    title: '权重值',
    dataIndex: 'width',
    slots: { customRender: 'width' },
  },
];

