import {BasicColumn, FormSchema} from '@/components/Table';
import {InputProps} from "ant-design-vue";

export const portraitTableFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    } as InputProps,
  },
];
export const portraitTableColumn: BasicColumn[] = [
  {
    title: '名称',
    dataIndex: 'name',
    width: 100,
    slots: { customRender: 'name' },
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 100,
  },
  {
    title: '更新时间',
    dataIndex: 'updateTime',
    width: 100,
  },
  {
    title: '拥有者',
    dataIndex: 'owner',
    width: 100,
  },
];
export const addFileModalFormSchema: FormSchema[] = [
  {
    label: '路径',
    field: 'path',
    slot: 'path',
  },
  {
    label: '文件名称',
    field: 'name',
    required: true,
    component: 'Input',
  },
  {
    label: '文件类型',
    field: 'type',
    defaultValue: '画像分析',
    slot: 'type',
  },
];
